<?php

namespace forge12\woocommerce\free\accessories {
    if ( ! defined( 'ABSPATH' ) ) {
        exit;
    }

	use forge12\woocommerce\free\accessories;

	/**
	 * Class Shortcode
	 * Handle all shortcodes
	 *
	 * @package forge12\woocommerce\free\accessories
	 */
	class Shortcode {
		/**
		 * Admin constructor.
		 */
		public function __construct() {
			add_shortcode( 'f12-woo-accessories', array( $this, 'render' ) );
		}

		/**
		 * Render the Shortcode  content
		 * @return string
		 */
		public function render( $atts, $content = '' ) {
            global $post;

            if($post != null) {
                return OptionalAccessories::getContent($post->ID);
            }

            return 'false';
		}
	}

    new Shortcode();
}